%*******************************************************************************
% dcoeff(t): give diffusion coefficient in terms of real time since
% start of model - user defined

function dc = dcoeff( t );

global eoverr d0

dc = d0 * exp( -eoverr*ones(size(t))./(hist(t, 'T') + 273) );
