%****************************************************************************
% getparam( var list ): return a number for a list of choices, for menu
% selection, OR, if there is only one argument, prompts for a value
% The routine read from the diffarg parameter argument, if one has been given
% Otherwise, it is interactive, but saves the answers in paramvec
% ______ MINOR CHANGE Sept 2004
function prm = getparam( r1, r2, r3, r4, r5, r6, r7 );

global interact nparam paramvec
if interact,
    if nargin > 1,
        for j = 1:nargin-1,
            disp( [num2str(j),': ', eval(['r',num2str(j)])] );
        end;
    end;
    more = 1;
    while more,
        prm = input( eval(['r',num2str(nargin)]) ); 
        if ~isempty( prm ), % Sept 2004 - Matlab has changed the way it evaluates if prm ~= [],   % this means user just hit return
        if nargin > 1,
            more = (prm < 1) | (prm > nargin-1) | (prm ~= round(prm));
            if more, disp( 'Select a number from the menu' ); end;
        else
            more = 0;
        end;
        end;
    end;
    paramvec(nparam:(nparam + length(prm)-1)) = prm;
    nparam = nparam + length(prm);
else
    prm = paramvec(nparam:nparam);
    if nargin == 1, 
        pos = 1;
        data = num2str(prm);
    else
        pos = prm;
        data = ' chosen';
    end;
    disp( [eval(['r',num2str(pos)]), data] );
    nparam = nparam + 1;
    if nparam > length(paramvec),
        interact = 1;
        nparam = 1;
    end;
end;
